import { expect } from 'chai';

import { ExitCode, main } from '../src/main.js';
import { REQUIRED_ARGS } from './helpers.js';

describe('main function', () => {
  xit('should run', async () => {
    await expect(main(REQUIRED_ARGS)).to.eventually.equal(1);
  });

  it('should exit after printing the help', async () => {
    await expect(main(['--help'])).to.eventually.equal(ExitCode.SUCCESS);
  });

  it('should run briefly in readline mode');
});
